import { isObject } from '@vue/shared';

function normalizeOption(option) {
  return isObject(option) ? option : { label: option, value: option };
}
function normalizeOptions(options) {
  return options.map(normalizeOption);
}
function mapOptions(options, cb) {
  return options.map((e) => cb(normalizeOption(e)));
}

export { mapOptions, normalizeOption, normalizeOptions };
